
Foreman - Bug #14935

Saving anything on User -> My Account takes me to the Settings page

05/05/2016 08:05 AM - Shimon Shtein

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Settings   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1198736 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1198736

Description of problem:

Saving anything on User -> My Account takes me to the Settings page

Version-Release number of selected component (if applicable):

Satellite-6.1.0-RHEL-6-20150303.0

How reproducible:

Always

Steps to Reproduce:

1. Go to Web UI -> Admin User -> My Account

2. Change anything on Users or Mail Preferences or Locations or Organizations or Roles

3. Save it

Actual results:

I am taken to https://$sat6/settings

Expected results:

I should stay in Web UI -> Admin User -> My Account page and should not be redirected to Settings page.

Additional info:

History

#1 - 09/18/2016 09:47 AM - Shlomi Zadok

- Assignee changed from Shimon Shtein to Shlomi Zadok

It would take you to the controller#action before going to my account

#2 - 09/18/2016 09:55 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3859 added

#3 - 01/25/2017 08:14 AM - Dominic Cleal

- Status changed from Ready For Testing to Rejected

PR was closed, and it's unclear from the discussion if this is a bug. Re-open it if you plan on changing the implementation.

#4 - 11/29/2018 01:23 AM - The Foreman Bot

- Status changed from Rejected to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/3859)
#5 - 05/24/2021 12:40 PM - Leos Stejskal

- Status changed from New to Closed

Hi, I'm closing the issue, it has been here for some time and I wasn't able to reproduce it on the latest version.

If you think that the issue is still relevant feel free to reopen it.
